<?php
namespace OCA\Deckflow\Migrations;

use OCP\Migration\ITransaction;
use OCP\Migration\IOutput;

class Version20250312000000 implements ITransaction {

    public function execute(IOutput $output) {
        // Erstelle die Workflow-Tabelle
        $output->output('Erstelle die deckflow_workflows-Tabelle...');
        
        $query = 'CREATE TABLE IF NOT EXISTS `*deckflow_workflows` (
            `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `user_id` VARCHAR(255) NOT NULL,
            `deck_id` INT NOT NULL,
            `source_stack_id` INT NOT NULL,
            `target_stack_id` INT NOT NULL,
            `created_at` DATETIME NOT NULL,
            `last_run` DATETIME DEFAULT NULL
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;';
        
        \OC::$server->getDatabaseConnection()->executeQuery($query);
        
        $output->output('Migration abgeschlossen.');
    }
}
