<?php
namespace OCA\Deckflow;

use OC\BackgroundJob\TimedJob;
use OCP\BackgroundJob\IJob;

class WorkflowJob extends TimedJob {

    public function run($argument) {
        // Hole überfällige Workflows und verschiebe Karten
        $workflowRepo = new WorkflowRepository();
        $overdueWorkflows = $workflowRepo->getOverdueWorkflows();

        foreach ($overdueWorkflows as $workflow) {
            $workflowRepo->moveCardToTargetStack($workflow['card_id'], $workflow['target_stack_id']);
        }
    }
}
