<?php
use OCP\AppFramework\Http\TemplateResponse;

$view = new TemplateResponse('deckflow', 'main');
$view->assign('workflows', $workflows);

echo $view->render();
?>

<!-- Workflow-Setup-Formular -->
<form action="/apps/deckflow/create" method="POST">
    <label for="deck_id">Deck auswählen:</label>
    <select name="deck_id" id="deck_id">
        <!-- Decks des Benutzers -->
    </select>

    <label for="source_stack_id">Quellstapel auswählen:</label>
    <select name="source_stack_id" id="source_stack_id">
        <!-- Quellstapel des Decks -->
    </select>

    <label for="target_stack_id">Zielstapel auswählen:</label>
    <select name="target_stack_id" id="target_stack_id">
        <!-- Zielstapel des Decks -->
    </select>

    <button type="submit">Workflow erstellen</button>
</form>

<!-- Workflows anzeigen -->
<ul>
    <?php foreach ($workflows as $workflow): ?>
        <li>
            Deck: <?php echo $workflow['deck_id']; ?>,
            Quellstapel: <?php echo $workflow['source_stack_id']; ?>,
            Zielstapel: <?php echo $workflow['target_stack_id']; ?>
            <a href="/apps/deckflow/delete/<?php echo $workflow['id']; ?>">Löschen</a>
        </li>
    <?php endforeach; ?>
</ul>
